Page MenuHomePhabricator

Homepage Mentorship - issues with parsing mentor added descriptions
Closed, ResolvedPublic

Description

As a follow up for T220145.

All cases refer to the page Wikipedia:Mentors on betalabs:

(1) If mentors add their user page link and that link has a display name - e.g. [[User:ET15|ET15]]- the description added after a pipe won't be displayed.

(2) If mentors add a pipe to their user link and nothing else after that, e.g.

* [[User:ET125]]|            
* [[User:ET15|ET15]]

Special:Homepage will be broken: the assigned mentor link won't be displayed (in the example it should be ET125) only wikitext of a following mentor's name:

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : masterMentor: Fix parsing of empty mentor description

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 8 2019, 10:34 PM
Etonkovidova updated the task description. (Show Details)Jul 8 2019, 10:36 PM
JTannerWMF assigned this task to Catrope.Jul 9 2019, 7:30 PM
JTannerWMF edited projects, added Growth-Team (Current Sprint); removed Growth-Team.

It turns out that if you have a mentor with an empty description like on the first line (here, [[User:ET125]]|), then that mentor's custom intro message will be whatever is on the next line. In this case that's [[User:ET15|ET15]], but it doesn't matter what it is, it's purely because of the pipe at the end of the first line.

Change 521963 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] Mentor: Fix parsing of empty mentor description

https://gerrit.wikimedia.org/r/521963

Change 521963 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Mentor: Fix parsing of empty mentor description

https://gerrit.wikimedia.org/r/521963

Etonkovidova updated the task description. (Show Details)Jul 30 2019, 7:34 PM
Tim_WMDE removed a subscriber: Tim_WMDE.Jul 30 2019, 7:36 PM
Etonkovidova closed this task as Resolved.Jul 30 2019, 7:54 PM